커널 업그레이드 질문입니다

안녕하세요.
루트권한 취득 버그가 발생해서 회사에서 해당 패치를 진행중에 있는데요…

http://people.canonical.com/~ubuntu-sec ... -2094.html

커널을 살펴보니 11.04 버전은 해당되지 않지만 서버에서 직접 프로그램을 실행시켜보니 실제 루트권한 획득이 되더라구요.
11.04 는 백포팅된 커널버전이 없는 것 같아서 커널을 업그레이드 하려고 하는데요.
현 커널 버전은 2.6.38-8-server 인데, 리눅스의 개념이 안 잡히는 것 같아서요…
만약 [color=#FF0000:1evikagb]커널을 상위 버전으로 업그레이드 한다면 현재 11.04 에서 12.04 LTS 가 될수도 있는 건가요?[/color:1evikagb]
그리고 패키지 뒤에 붙은 linux-amadaxp , linux-ec2 … 들이 또 다른데… 제 서버에 알맞게 다운받으려면 어떤 걸 받으면 될지…

http://www.ubuntu.com/usn/usn-1825-1/

또 보면 제 커널 버전은 server로 붙어 있는데 generic , omap , highbank 이런 식의 어미가 붙는데 해당 내용은 또 어떻게 확인해야 할지…막막하네요ㅠㅠ
해당하는 파일 자체가 없는건지…

커널은 리눅스배포판에 의존하지 않습니다.
반대로 리눅스배포판은 커널에 의존하죠.

부팅과정이
GRUB->vmlinuz(커널)->initrd(램디스크이미지)->루트장치 마운트->루트/sbin/init 실행
이와 같으니, 당연히 배포판을 로드하기 전에 커널이 로드되어야 하죠.
물론 보통은 이 부팅커널 버젼도 배포판에 맞춰서 제공되지만요.

그러니까, 커널 버젼을 업그레이드한다고 배포판이 업그레이드되지는 않지만, 배포판이 업그레이드되면 커널버젼은 따라 업그레이드됩니다.

커널버젼이 심하게 차이가 나지 않는다면, 프로그램들과 문제는 별로 없습니다.
커널은 상위버젼으로 컴파일해서 사용하실 수 있지만, ppa를 이용해서 컴파일된 버젼을 설치하는 것이 편합니다.

[code:1pkfhd5v]http://kernel.ubuntu.com/~kernel-ppa/mainline/[/code:1pkfhd5v]
여기에 컴파일된 커널들이 있습니다.
다운로드하셔서 설치하세요

저도 13.04 raring이지만 3.9커널 사용중입니다.

[quote="protochaos":9h6onijd]커널은 리눅스배포판에 의존하지 않습니다.
반대로 리눅스배포판은 커널에 의존하죠.

부팅과정이
GRUB->vmlinuz(커널)->initrd(램디스크이미지)->루트장치 마운트->루트/sbin/init 실행
이와 같으니, 당연히 배포판을 로드하기 전에 커널이 로드되어야 하죠.
물론 보통은 이 부팅커널 버젼도 배포판에 맞춰서 제공되지만요.

그러니까, 커널 버젼을 업그레이드한다고 배포판이 업그레이드되지는 않지만, 배포판이 업그레이드되면 커널버젼은 따라 업그레이드됩니다.

커널버젼이 심하게 차이가 나지 않는다면, 프로그램들과 문제는 별로 없습니다.
커널은 상위버젼으로 컴파일해서 사용하실 수 있지만, ppa를 이용해서 컴파일된 버젼을 설치하는 것이 편합니다.

[code:9h6onijd]http://kernel.ubuntu.com/~kernel-ppa/mainline/[/code:9h6onijd]
여기에 컴파일된 커널들이 있습니다.
다운로드하셔서 설치하세요

저도 13.04 raring이지만 3.9커널 사용중입니다.[/quote:9h6onijd]

감사합니다^^